Update customer

PUT /api/v1/customers/{customer_id}

Update an existing customer's information.

Operation ID: update_customer_api_v1_customers__customer_id__put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

customer_id string required

Request body

id string

Customer UUID (set from URL path).

name string

Updated customer name.

email string · email

Updated email address.

address string

Updated address.

phone string

Updated phone number.

tax_id string

Updated tax ID.

website string

Updated website URL.

notes string

Updated internal notes.

credit_limit_cents integer

Updated credit limit in cents.

default_payment_term_id string

Updated default payment term ID.

status CounterpartyStatus

Updated status.

category string

Updated category.

invoice_footer string

Custom invoice footer/payment instructions for this customer.

Responses

200 Successful Response

id string required

Customer UUID.

business_id string required

Business UUID.

created_at string · date-time required

Creation timestamp.

updated_at string · date-time required

Last update timestamp.

name string required

Customer name.

email string required

Customer email.

address string

Customer address.

phone string

Customer phone number.

tax_id string

Tax identification number.

website string

Customer website URL.

notes string

Internal notes.

credit_limit_cents integer

Credit limit in cents.

default_payment_term_id string

Default payment term ID.

status string

Customer status.

category string

Business category.

is_deleted boolean

Whether customer is soft deleted.

deleted_at string · date-time

Timestamp when customer was deleted.

stripe_customer_id string

Linked Stripe customer ID.

invoice_footer string

Custom invoice footer/payment instructions for this customer.

contacts array · CustomerContactResponse

Customer contacts.

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object